<%@ page import="org.wso2.carbon.cep.stub.admin.internal.xsd.BucketDTO" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:bundle basename="org.wso2.carbon.cep.ui.i18n.Resources">
<script type="text/javascript">
    function saveBucketDetails(){
        var bucketName = document.getElementById("bucketName");
        var bucketDescription = document.getElementById("bucketDescription");

        if(bucketName.value == ""){
            CARBON.showErrorDialog('<fmt:message key="bucket.name.empty"/>');
            return;
        }
        var reWhiteSpace = new RegExp("^[a-zA-Z0-9_]+$");
        // Check for white space
        if (!reWhiteSpace.test(bucketName.value)) {
            CARBON.showErrorDialog('<fmt:message key="bucket.name.validate"/>');
            return ;
        }
        saveDetailsToSession(bucketName.value, bucketDescription.value);
        location.href='cep_add_step2.jsp';
    }

    function saveDetailsToSession(bucketName, bucketDescription){
        jQuery.noConflict();
        jQuery.post('cep_add_bucketInfo.jsp',{
            bucketName:bucketName,
            bucketDescription:bucketDescription
        },
                function(responseText, status, XMLHttpRequest){

                }
                );
    }
</script>
<%
    session.removeAttribute("inputsHashMap");
    session.removeAttribute("queryHashMap");
    boolean isEditing = false;
    String bucketName = "";
    String description = "";
    try {
        if(session.getAttribute("editingBucket") != null){
                isEditing = true;
                BucketDTO editingBucket = (BucketDTO) session.getAttribute("editingBucket");
                bucketName = editingBucket.getName();
                description = editingBucket.getDescription();
        }else if (session.getAttribute("bucket") != null){
             BucketDTO bucket = (BucketDTO) session.getAttribute("bucket");
             bucketName = bucket.getName();
             description = bucket.getDescription();
        }
    } catch (Exception e) {
        e.printStackTrace();
    }
%>

<div id="middle">
    <h2><fmt:message key="bucket.add"/></h2>

    <div id="workArea">
        <table class="styledLeft" style="width:100%">
            <thead>
                <tr>
                    <th><fmt:message key="bucket.info"/></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="formRaw">
                        <table class="normal">
                            <tbody>
                            <tr>
                                <td><fmt:message key="bucket.name"/></td>
                                <%
                                    if (!isEditing) {
                                %>
                                <td><input id="bucketName" type="text"/></td>
                                <%
                                } else {
                                %>
                                <td><input id="bucketName" type="text" readonly="true" value="<%=bucketName%>"/></td>
                                <%
                                    }
                                %>
                            </tr>
                            <tr>
                                <td style="vertical-align:top !important;"><fmt:message key="bucket.description"/></td>
                                 <%  if(!isEditing){   %>
                                <td>
                                    <textArea cols="30" rows="5" id="bucketDescription"></textArea>
                                </td>
                              <%  } else {   %>
                                 <td>
                                    <textArea cols="30" rows="5" id="bucketDescription"  readonly="true"><%=description%></textArea>
                                </td>
                               <% } %>
                            </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td class="buttonRow">
                        <input type="button" onclick="saveBucketDetails()" value="<fmt:message key="next"/> &gt;" class="button">
                        <input type="button" onclick="javascript:location.href='cep_queries.jsp'" value="<fmt:message key="cancel"/>" class="button">
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
</fmt:bundle>